import request from '@/utils/request'

// 查询配送单据主列表
export function listOrder(query) {
  return request({
    url: '/document/order/listWithDetail',
    method: 'get',
    params: query
  })
}

export function detailOrder(data) {
  return request({
    url: '/document/order/detail/'+data.orderNo,
    method: 'get'
   
  })
}
export function getHistory(query) {
  return request({
    url: '/delivery/location/track',
    method: 'get',
    params: query
  })
}
export function calcTotalWv(query) {
  return request({
    url: '/document/mtd/calcTotalWv',
    method: 'post',
    data: query
  })
}
//根据物料号计算重量、体积
export function calculate(data) {


  return request({
    url: '/document/type/fee',
    method: 'post',
    data: data
  })
}
//生成配送单
export function addDelivery(data) {
  return request({
    url: '/document/order/batch',
    method: 'post',
    data: data
  })
}



